Debian Bug report logs - #473844
unperish: recommends packages not in main

version graph

Package: unperish; Maintainer for unperish is (unknown);

Reported by: Amaya <amaya@debian.org>

Date: Tue, 1 Apr 2008 22:27:09 UTC

Severity: normal

Tags: patch

Merged with 470480, 475339

Found in version unperish/2.3-2

Done: Lars Wirzenius <liw@liw.fi>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Lars Wirzenius <liw@iki.fi>:
Bug#473844; Package unperish. Full text and rfc822 format available.

Acknowledgement sent to Amaya <amaya@debian.org>:
New Bug report received and forwarded. Copy sent to Lars Wirzenius <liw@iki.fi>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Amaya <amaya@debian.org>
To: submit@bugs.debian.org
Subject: unperish: recommends packages not in main
Date: Wed, 2 Apr 2008 00:06:01 +0200
[Message part 1 (text/plain, inline)]
Package: unperish
Version: 2.3-2
Severity: important
User: debian-release@lists.debian.org
Usertags: goal-recommends
Tags: patch

Hi,

I intend to *lovingly* NMU unperish, as part of my effort to 
accomplish the following Release Goal for Lenny:

  # No unmet recommends relations inside main
  Advocate: Luk Claes
  Description: Packages in main should be able to satisfy all recommend
               relations in main.
  Bug-User: debian-release@lists.debian.org
  Bug-Tag: goal-recommends

Even though 0-day NMUs are allowed, I will wait for two weeks for your answer
to this, and then upload upload to DELAYED/7 in order to give you plenty of
time for reaction.

You will find that my changes are minimal and address only this issue, unless
other release goal can be dealt with in the same upload.

Attached is the diff for my unperish 2.3-2.1 NMU.

Thanks for your contribution to debian, and... Happy hacking!


-- 
  ·''`.        Gay scientists discover the Christian gene
 : :' :            
 `. `'            
   `-        Proudly running (unstable) Debian GNU/Linux
[unperish-2.3-2.1-nmu.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Lars Wirzenius <liw@iki.fi>:
Bug#473844; Package unperish. Full text and rfc822 format available.

Acknowledgement sent to Amaya <amaya@debian.org>:
Extra info received and forwarded to list. Copy sent to Lars Wirzenius <liw@iki.fi>. Full text and rfc822 format available.

Message #10 received at 473844@bugs.debian.org (full text, mbox):

From: Amaya <amaya@debian.org>
To: Mark Brown <broonie@debian.org>
Cc: 473832@bugs.debian.org, 473839@bugs.debian.org, 473836@bugs.debian.org, 473835@bugs.debian.org, 473844@bugs.debian.org, 473842@bugs.debian.org, 473834@bugs.debian.org, 473833@bugs.debian.org, 473829@bugs.debian.org, 473831@bugs.debian.org
Subject: Re: Bug#473832: clc-intercal: recommends packages not in main
Date: Wed, 2 Apr 2008 01:37:35 +0200
Hey Mark!

First of all, thanks for your fast upload. You too, Mr Marillat!

Mark Brown wrote:
>  - File the actual bug, not your intention to NMU (ie, include the bug
>    report in the body of the bug rather than burying it in the patch).

Yes you are very right. I will change my wording.

>  - Provide some way for people to get information about this like
>    putting a list of affected packages on a web page and announcing it.
>    This would help avoid the need for an NMU campaign in the first
>    place.

That is work in progress. I am working on a wiki page, it will be ready
tomorrow. So far, I can only point you to:
    http://release.debian.org/lenny/goals.txt
    http://bugs.debian.org/cgi-bin/pkgreport.cgi?users=debian-release@lists.debian.org&tag=goal-recommends
    http://qa.debian.org/debcheck.php?dist=sid&list=main%2donly%2drelationship%2dRecommends&arch=EVERY
    http://lists.debian.org/debian-qa/2008/04/msg00007.html (and
    answers).

The wiki page will group all this already available information so that
this is easier to track for everyone.

This is not an NMU campaign. I will definitely change the wording.
My original intention was to submit bug+patch, as agreed with Luk:
    <luk> amaya:
    http://qa.debian.org/debcheck.php?dist=sid&list=main%2donly%2drelationship%2dRecommends&arch=EVERY
    (the ones in unstable) and
    http://qa.debian.org/debcheck.php?dist=lenny&list=main%2donly%2drelationship%2dRecommends&arch=EVERY
    (the ones in testing)
    <amaya> luk: so what to do about these? should I file bugs?
    <luk> yes, file with the appropriate version if not already
    reported at least for the sid ones, identifying the lenny ones that
    are fixed in sid for extra bonus points :-)
    <amaya> luk: i see a lot of those will be fixed when my nmus leave
    the delayed queue
    <luk> great
    <amaya> luk: I will take a look and file appropriate bugs with
    patches, and nmu threats ;)
    <luk> even better!

I think we were both joking about nmus there. Sorry about the tone of my
bug report. I am Cc:ing the rest of maintainers that got this tasteless
report, so that they also forgive me.

> My first reponse to this was "WTF?  I only uploaded this yesterday and
> there weren't any bugs.", especially given that the report jumped right
> to "I'm about to NMU", skipping over what the actual problem was.

Well, no. I clearly said I would wait for two weeks for your response.
And *then* 7 more days in DELAYED. Mainly because some recommends have
become obsolete and I am not sure about the right replacements. I am
seeking actual advice, input, wisdom, from maintainers here :)

But you are right. I am sorry it came accross this way.

Thanks for your help! 

-- 
  ·''`.        Gay scientists discover the Christian gene
 : :' :            
 `. `'            
   `-        Proudly running (unstable) Debian GNU/Linux




Information forwarded to debian-bugs-dist@lists.debian.org, Lars Wirzenius <liw@iki.fi>:
Bug#473844; Package unperish. Full text and rfc822 format available.

Acknowledgement sent to Lars Wirzenius <liw@liw.fi>:
Extra info received and forwarded to list. Copy sent to Lars Wirzenius <liw@iki.fi>. Full text and rfc822 format available.

Message #15 received at 473844@bugs.debian.org (full text, mbox):

From: Lars Wirzenius <liw@liw.fi>
To: Amaya <amaya@debian.org>, 473844@bugs.debian.org
Subject: Re: Bug#473844: unperish: recommends packages not in main
Date: Wed, 02 Apr 2008 10:09:06 +0300
On ke, 2008-04-02 at 00:06 +0200, Amaya wrote:
>   # No unmet recommends relations inside main

I assume your changelog meant to say "linda" instead of "lintian". :)






Information forwarded to debian-bugs-dist@lists.debian.org, Lars Wirzenius <liw@iki.fi>:
Bug#473844; Package unperish. Full text and rfc822 format available.

Acknowledgement sent to Amaya <amaya@debian.org>:
Extra info received and forwarded to list. Copy sent to Lars Wirzenius <liw@iki.fi>. Full text and rfc822 format available.

Message #20 received at 473844@bugs.debian.org (full text, mbox):

From: Amaya <amaya@debian.org>
To: Lars Wirzenius <liw@liw.fi>
Cc: 473844@bugs.debian.org
Subject: Re: Bug#473844: unperish: recommends packages not in main
Date: Wed, 2 Apr 2008 09:55:04 +0200
Lars Wirzenius wrote:
> On ke, 2008-04-02 at 00:06 +0200, Amaya wrote:
> >   # No unmet recommends relations inside main
> 
> I assume your changelog meant to say "linda" instead of "lintian". :)

 Yes! :)
 

-- 
  ·''`.        Gay scientists discover the Christian gene
 : :' :            
 `. `'            
   `-        Proudly running (unstable) Debian GNU/Linux




Severity set to `normal' from `important' Request was from Lars Wirzenius <liw@iki.fi> to control@bugs.debian.org. (Mon, 14 Apr 2008 12:36:13 GMT) Full text and rfc822 format available.

Merged 470480 473844 475339. Request was from Lars Wirzenius <liw@iki.fi> to control@bugs.debian.org. (Mon, 14 Apr 2008 12:36:16 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 11 Aug 2008 07:37:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 05:36:02 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.